=== debian/changelog ===
ros-kinetic-cob-hardware-emulation (0.7.13-2xenial) xenial; urgency=high

  * Merge pull request #252 <https://github.com/ipa320/cob_control/issues/252> from floweisshardt/feature/emulator_move_base_kinetic
    kinetic: add optional move_base interface to base emulator
  * add optional move_base interface to base emulator
  * Merge pull request #248 <https://github.com/ipa320/cob_control/issues/248> from fmessmer/fix/fjt_emulation_kinetic
    [kinetic] fix fjt emulation
  * use timer for joint_states
  * skip trajectory points faster than sample_rate
  * introduce sample_rate_hz parameter
  * Merge pull request #246 <https://github.com/ipa320/cob_control/issues/246> from fmessmer/fix_catkin_lint_kinetic
    [kinetic] fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, Florian Weisshardt, floweisshardt, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-hardware-emulation (0.7.12-2xenial) xenial; urgency=high

  * Merge pull request #245 <https://github.com/ipa320/cob_control/issues/245> from lindemeier/bugfix/length_bug_kinetic
    [kinetic] bugfix/length-bug
  * sets correct length and checks for length
  * Merge pull request #239 <https://github.com/ipa320/cob_control/issues/239> from benmaidel/feature/base_emu_reset_odom
    reset odometry service for base emulation
  * reset odometry service for base emulation
  * Contributors: Benjamin Maidel, Felix Messmer, tsl

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-hardware-emulation (0.7.11-2xenial) xenial; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-kinetic-cob-hardware-emulation (0.7.10-2xenial) xenial; urgency=high

  * Merge pull request #235 <https://github.com/ipa320/cob_control/issues/235> from fmessmer/kinetic/emulation_clock_cpp
    [kinetic] add emulation_clock publisher - cpp variant
  * fix boost timer + use dt_ms
  * use boost timer
  * configurable emulation dt
  * add emulation_clock publisher - cpp variant
  * Merge pull request #232 <https://github.com/ipa320/cob_control/issues/232> from fmessmer/emulation_custom_clock
    add emulation_clock publisher
  * implement emulation_clock with timer callback
  * add emulation_clock publisher
  * Merge pull request #227 <https://github.com/ipa320/cob_control/issues/227> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility - kinetic
  * fix pylint errors
  * python3 compatibility via 2to3
  * Merge pull request #225 <https://github.com/ipa320/cob_control/issues/225> from fmessmer/ci_updates_kinetic
    [travis] ci updates - kinetic
  * catkin_lint fixes
  * Contributors: Felix Messmer, Florian Weisshardt, Loy van Beek, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-hardware-emulation (0.7.9-2xenial) xenial; urgency=high

  * add CHANGELOG for cob_hardware_emulation
  * Merge pull request #221 <https://github.com/ipa320/cob_control/issues/221> from fmessmer/post_vacation_qa
    [WIP] post vacation qa
  * fix missing dependencies
  * Merge pull request #218 <https://github.com/ipa320/cob_control/issues/218> from floweisshardt/fix/emulator
    catch zero division if two trajectory points have the same time_from_start
  * catch zero division if two trajectory points have the same time_from_start
  * Merge pull request #217 <https://github.com/ipa320/cob_control/issues/217> from floweisshardt/emulator
    initialpose from yaml file for base emulator
  * initialpose from yaml file for base emulator
  * Merge pull request #216 <https://github.com/ipa320/cob_control/issues/216> from benmaidel/feature/base_emulation_initialpose
    add initialpose to emulation_base
  * Merge pull request #215 <https://github.com/ipa320/cob_control/issues/215> from lindemeier/feature/1238-joint-trajectory-controller-emulator-linear-interpolation
    Feature/1238 joint trajectory controller emulator linear interpolation
  * 1238 Setting joint velocity and effort to zero after eaching final trajectory point
  * reset odom on initialpose
  * syntax fixes
  * 1238 added  service reset
  * 1238 joint velocities added
  * 1238 adding preempt polling
    1238 readme adjusted and small improvements
  * add initialpose to emulation_base
  * 1238 linear interpolation of joint states sampling the given trajectory
    1238 lerping start and goal works
    1238 Fixed error in lerp
    1238 using only local time segments for computing the interpolation weight
    1238 added more comments
  * 1238 replacing timer with rospy loop rate
    + publishing joint_states with 10Hz controlled by loop rate instead of timer
  * Merge pull request #214 <https://github.com/ipa320/cob_control/issues/214> from floweisshardt/feature/emulator_base
    emulator base can be used with real navigation
  * migrate tf to tf2
  * emulator base can be used with real navigation
  * Merge pull request #212 <https://github.com/ipa320/cob_control/issues/212> from floweisshardt/emulator
    initial version of move_base emulator
  * review comments
  * initial version of move_base emulator
  * Merge pull request #211 <https://github.com/ipa320/cob_control/issues/211> from ipa320/emulator
    add hardware_emulation package
  * add hardware_emulation package
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, Thomas Lindemeier, floweisshardt, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-hardware-emulation (0.7.8-2xenial) xenial; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-kinetic-cob-hardware-emulation (0.7.7-2xenial) xenial; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000


